PUPPET-APPLY(8)

NAME
puppet-apply - Apply Puppet manifests locally

SYNOPSIS
Applies a standalone Puppet manifest to the local system.

USAGE
puppet apply [-h|--help] [-V|--version] [-d|--debug] [-v|--verbose] [-e|--execute] [--detailed-exitcodes] [-l|--logdest file] [--noop] [--catalog catalog] file

DESCRIPTION
This is the standalone puppet execution tool; use it to apply individual manifests.

When provided with a modulepath, via command line or config file, puppet apply can effectively mimic the catalog that would be served by puppet master with access to the same modules, although there are some subtle differences. When combined with scheduling and an automated system for pushing manifests, this can be used to implement a serverless Puppet site.

Most users should use 'puppet agent' and 'puppet master' for site-wide manifests.

OPTIONS
Note that any configuration parameter that's valid in the configuration file is also a valid long argument. For example, 'tags' is a valid configuration parameter, so you can specify '--tags class,tag' as an argument.

See the configuration file documentation at http://docs.puppetlabs.com/references/stable/configuration.html for the full list of acceptable parameters. A commented list of all configuration options can also be generated by running puppet with '--genconfig'.

--debug
    Enable full debugging.

--detailed-exitcodes
    Provide transaction information via exit codes. If this is enabled, an exit code of '2' means there were changes, an exit code of '4' means there were failures during the transaction, and an exit code of '6' means there were both changes and failures.

--help
    Print this help message

--loadclasses
    Load any stored classes. 'puppet agent' caches configured classes (usually at /opt/local/etc/puppet/classes.txt), and setting this option causes all of those classes to be set in your puppet manifest.

--logdest
    Where to send messages. Choose between syslog, the console, and a log file. Defaults to sending messages to the console.

--noop
    Use 'noop' mode where Puppet runs in a no-op or dry-run mode. This is useful for seeing what changes Puppet will make without actually executing the changes.

--execute
    Execute a specific piece of Puppet code

--verbose
    Print extra information.

--catalog
    Apply a JSON catalog (such as one generated with 'puppet master --compile'). You can either specify a JSON file or pipe in JSON from standard input.

EXAMPLE
$ puppet apply -l /tmp/manifest.log manifest.pp
$ puppet apply --modulepath=/root/dev/modules -e "include ntpd::server"
$ puppet apply --catalog catalog.json

AUTHOR
Luke Kanies

COPYRIGHT
Copyright (c) 2011 Puppet Labs, LLC Licensed under the Apache 2.0 License